package com.chinacreator.video.restful.dao;

import com.chinacreator.video.bean.OrderInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface QueryCapOrderDao {


    String findProduct(@Param("spid") String spid);

    List<String> getProduct(@Param("cpid") String cpid);

    void addCapRev(Map<String, String> map);

    void insertQueryCap(@Param("id") String id, @Param("orderInfo") OrderInfo orderInfo);

    void updateQueryCap(@Param("id") String id, @Param("resp") String resp);

    String getID();

    String queryUserOrder(OrderInfo orderInfo);

    void insertSync(OrderInfo orderInfo);


    void addCapRevCancel(Map<String, String> map);

    int insertSyncList(OrderInfo orderInfo);
}
